user-agent: Remove support for vendor branding

Desktop / GNOME / Epiphany - Michael Catanzaro [igalia.com] - 6 December 2017 16:22 EST

We're freezing all the version numbers in the user agent, so VendorSub (DISTROVERSION in Debian) and vendor comment (PACKAGEVERSION) are no longer useful. Specifying the OS is useful, but that should be done by carefully patching WebKit as done in Fedora, not by appending the OS in the browser information section of the user agent.

b8508aab9 user-agent: Remove support for vendor branding
lib/ephy-user-agent.c | 62 ++-------------------------------------------------
1 file changed, 2 insertions(+), 60 deletions(-)

Upstream: git.gnome.org


  • Share